Skip to main content
PATCH
/
core
/
invite-links
/
{invite_link_uuid}
Update Invite Link
curl --request PATCH \
  --url https://api.integrations.commenda.io/v4/core/invite-links/{invite_link_uuid} \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "companyName": "Updated Company Name",
  "syncFrom": "2026-03-01T00:00:00.000Z"
}
'
{
  "data": {
    "inviteLink": {
      "id": 209,
      "inviteLinkId": "ebb196d8-d0a6-4844-b6e0-50ad32371bee",
      "companyId": 209,
      "integration": "NETSUITE",
      "integrationCategory": "ACCOUNTING",
      "syncFrom": null,
      "createdAt": "2026-05-15T18:17:02.052Z",
      "dataModelConfigs": [
        {
          "dataModel": "ACCOUNT",
          "category": "ACCOUNTING",
          "enabled": true,
          "scopeAccess": {
            "READ": true,
            "CREATE": true,
            "DELETE": false,
            "UPDATE": true
          },
          "frequency": "WEEKLY",
          "interval": 2,
          "syncFrom": null,
          "isOverridden": true,
          "isChild": false
        },
        {
          "dataModel": "BANK_ACCOUNT",
          "category": "ACCOUNTING",
          "enabled": true,
          "scopeAccess": {
            "READ": true,
            "CREATE": false,
            "DELETE": false,
            "UPDATE": false
          },
          "frequency": "WEEKLY",
          "interval": 2,
          "syncFrom": null,
          "isOverridden": false,
          "isChild": false
        }
      ]
    }
  },
  "request_id": "3ef8028c-58d0-448d-afe9-207e5bfa907a"
}

Documentation Index

Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt

Use this file to discover all available pages before exploring further.

Update an invite link’s company name, sync start date, and/or sync configuration.

Path Parameters

ParameterTypeDescription
invite_link_uuidstring (UUID)Invite link ID (inviteLinkId).

Request Body

FieldTypeDescription
companyNamestringUpdated company display name.
syncFromstring | nullHistorical sync start (ISO 8601), or null to clear.
syncConfigarray | nullSync config entries, or null to clear.

Response

Returns { data: { inviteLink }, request_id }.

Authorizations

api_key
string
header
required

Path Parameters

Invite link ID (inviteLinkId).

Body

application/json
companyName
string

Updated company display name.

syncFrom
string<date-time> | null

Updated historical sync start date, or null to clear.

syncConfig
WriteSyncConfigModel · object[] | null

Response

Invite link updated.

request_id
string
required
data
V4GetInviteLinkResponse · object
required